---
lang: en
title: 'API docs: rest.infospecenhancer._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.infospecenhancer._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [InfoSpecEnhancer](./rest.infospecenhancer.md) &gt; [(constructor)](./rest.infospecenhancer._constructor_.md)

## InfoSpecEnhancer.(constructor)

Constructs a new instance of the `InfoSpecEnhancer` class

<b>Signature:</b>

```typescript
constructor(pkg?: ApplicationMetadata | undefined);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  pkg | [ApplicationMetadata](./core.applicationmetadata.md) \| undefined |  |


